cdac.medinfo.sdk.hl7282.baselibs.messagedictionary

## Class MessageMapReader

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messagedictionary.MessageMapReader

- All Implemented Interfaces:
    IMessageMapReader

      public final class MessageMapReader
      extends java.lang.Object
      implements IMessageMapReader

  MessageMapReader provides implementation to IMessageMapReader. It uses IMap to represent Message structure.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IMessageMapReader` | `createInstance()` Creates instance of singleton class.
    `static IMessageMapReader` | `createInstance(EnumHL7System objEnumHL7System)` Creates instance of singleton class.
    `IMap` | `getMessageMap(EnumMessageCode enumMessageCode, EnumTriggerEvent enumTriggerEvent)` Retrieves Message Map for the specified code and Event(i.e Message) If trigger event is null then retrieves message map for acknowledgement

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createInstance

          public static IMessageMapReader createInstance(EnumHL7System objEnumHL7System)
                                                  throws InvalidDictionaryException

      Creates instance of singleton class.
      Returns:
        IMessageMapReader - populated object of MessageMapReader.
      Throws:
        `InvalidDictionaryException`

    - #### createInstance

          public static IMessageMapReader createInstance()
                                                  throws InvalidDictionaryException

      Creates instance of singleton class. It internally populate acknowledgment.
      Returns:
        IMessageMapReader - populated object of MessageMapReader.
      Throws:
        `InvalidDictionaryException`

    - #### getMessageMap

          public IMap getMessageMap(EnumMessageCode enumMessageCode,
                           EnumTriggerEvent enumTriggerEvent)

      Retrieves Message Map for the specified code and Event(i.e Message) If trigger event is null then retrieves message map for acknowledgement
      Specified by:
        `getMessageMap` in interface `IMessageMapReader`
      Parameters:
        `enumMessageCode` - message code
        `enumTriggerEvent` - trigger event
      Returns:
        ISingleCollection - Item list for the specified Segment.